Page MenuHomePhabricator

Story: Community has periodic browser stats report generated from Hadoop data
Closed, ResolvedPublic0 Story Points

Description

Report browser stats from hadoop data.

Our current browser stats come from squid reports: http://stats.wikimedia.org/wikimedia/squids/SquidReportClients.html

We should work towards replacing these reports with pageview data from hadoop + ua parser.

Erik Z. suggested that we can "pipe data from new input stream into old reports via csv files"


Now available at https://browser-reports.wmflabs.org

Details

Reference
bz67053

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:37 AM
bzimport added a project: Analytics-Cluster.
bzimport set Reference to bz67053.
bzimport added a subscriber: Unknown Object (MLST).
Nuria created this task.Jun 24 2014, 8:37 PM

Erik Z. suggested that we can "pipe data from new input stream into old reports via csv files"

There is no need to do this and new reports can be generated from hadoop directly.

This work is contingent on the work that we are currently doing in hadoop/kafka to productionize the setup and migrate to latest cloudera release.

QChris removed a subscriber: QChris.Mar 2 2015, 6:42 PM
Krinkle reopened this task as Open.Mar 15 2016, 3:51 AM

Re-opening since it is apparently not a duplicate as both have been closed without clear reason.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2016, 3:51 AM
Milimetric set the point value for this task to 0.
Milimetric moved this task from Incoming to Analytics Query Service on the Analytics board.
Nuria added a comment.Mar 21 2016, 4:26 PM

Preliminary browser reports are deployed to:

https://browser-reports-test.wmflabs.org/

See task https://phabricator.wikimedia.org/T130405 for UI improvements currently worked on

Nuria edited projects, added Analytics-Kanban; removed Analytics.Mar 28 2016, 4:18 PM
Nuria moved this task from Next Up to Parent Tasks on the Analytics-Kanban board.
Krinkle updated the task description. (Show Details)Apr 1 2016, 10:40 PM
Krinkle set Security to None.
Addshore added a subscriber: Addshore.

@Nuria please see T130102.
Would it be possible to split off wikidata data so that it can be looked at separately?

Nuria added a comment.Apr 7 2016, 6:00 PM

Updated related ticket, closing. this one.

Nuria closed this task as Resolved.Apr 7 2016, 6:00 PM